Summary: Tools for reading and writing Macintosh HFS volumes.
Name: hfsutils
Version: 3.2.6  
Release: 4
Group: Applications/File
License: GPL
Source: ftp://ftp.mars.org/pub/hfs/%{name}-%{version}.tar.gz 
Patch0: hfsutils-3.2.6-errno.patch
URL: http://www.mars.org/home/rob/proj/hfs/ 
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: tcl
BuildRequires: tcl-devel tk-devel

%package -n hfsutils-devel
Summary: A C library for reading and writing Macintosh HFS volumes.
Group: Development/Libraries

%package -n hfsutils-x11
Summary: A Tk-based front end for browsing and copying files.
Group: Applications/File 

%description
HFS (Hierarchical File System) is the native volume format found on
modern Macintosh computers.  Hfsutils provides utilities for accessing
HFS volumes from Linux and UNIX systems.  Hfsutils contains several
command-line programs which are comparable to mtools.

%description -n hfsutils-devel
The hfsutils-devel package provides a C library for low-level access
to Macintosh volumes. HFS (Hierarchical File System) is the native
volume format found on modern Macintosh computers.  The C library can
be linked with other programs to allow them to manipulate Macintosh
files in their native format.  Other HFS accessing utilities, which
are comparable to mtools, are included in the hfsutils package.

%description -n hfsutils-x11
The hfsutils-x11 package includes a Tk-based front end for browsing
and copying files, and a Tcl package and interface for scriptable access
to volumes.  A C library for low-level access to volumes is included in the
hfsutils-devel package.

%prep
%setup -q 
%patch0 -p1

%build
%{configure} --with-tcl=%{_libdir}  --with-tk=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_includedir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
make	BINDEST=$RPM_BUILD_ROOT%{_bindir} \
	LIBDEST=$RPM_BUILD_ROOT%{_libdir} \
	INCDEST=$RPM_BUILD_ROOT%{_includedir} \
	MANDEST=$RPM_BUILD_ROOT%{_mandir} \
	install install_lib

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING COPYRIGHT CREDITS INSTALL README TODO
%config
%{_bindir}/hattrib
%{_bindir}/hcd
%{_bindir}/hcopy
%{_bindir}/hdel
%{_bindir}/hdir
%{_bindir}/hformat
%{_bindir}/hfs
%{_bindir}/hfssh
%{_bindir}/hls
%{_bindir}/hmkdir
%{_bindir}/hmount
%{_bindir}/hpwd
%{_bindir}/hrename
%{_bindir}/hrmdir
%{_bindir}/humount
%{_bindir}/hvol
%{_mandir}/man1/hattrib.1.*
%{_mandir}/man1/hcd.1.*
%{_mandir}/man1/hcopy.1.*
%{_mandir}/man1/hdel.1.*
%{_mandir}/man1/hdir.1.*
%{_mandir}/man1/hformat.1.*
%{_mandir}/man1/hfs.1.*
%{_mandir}/man1/hfssh.1.*
%{_mandir}/man1/hfsutils.1.*
%{_mandir}/man1/hls.1.*
%{_mandir}/man1/hmkdir.1.*
%{_mandir}/man1/hmount.1.*
%{_mandir}/man1/hpwd.1.*
%{_mandir}/man1/hrename.1.*
%{_mandir}/man1/hrmdir.1.*
%{_mandir}/man1/humount.1.*
%{_mandir}/man1/hvol.1.*

%files -n hfsutils-x11
%defattr(-,root,root)
%{_bindir}/xhfs
%{_mandir}/man1/xhfs.1.*

%files -n hfsutils-devel
%defattr(-,root,root)
%{_libdir}/libhfs.a
%{_libdir}/librsrc.a
%{_includedir}/hfs.h
%{_includedir}/rsrc.h

%changelog
* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Apr 19 2004 David Woodhouse  <dwmw2@redhat.com> 3.2.6-3
- BuildRequires tk-devel

* Sun Apr 11 2004 David Woodhouse  <dwmw2@redhat.com> 3.2.6-2.1
- Adjust configure invocation to find tcl in %%{_libdir}

* Sun Apr 11 2004 David Woodhouse  <dwmw2@redhat.com> 3.2.6-2
- Require tcl

* Fri Apr 09 2004 David Woodhouse  <dwmw2@redhat.com> 3.2.6-1
- Fix BuildRequires, include errno.h in tclhfs.c, use %%{configure}

* Wed Oct 02 2002 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- Anubis rebuild

* Fri Mar 30 2001 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- split xhfs into its own package

* Fri Feb 11 2000 Tim Powers <timp@redhat.com>
- gzip manpages, strip binaries

* Thu Jul 15 1999 Tim Powers <timp@redhat.com>
- added %defattr
- rebuilt for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- updated source

* Thu Aug 20 1998 Michael Maher <mike@redhat.com>
- built package 

